ReferenceCloud managementCreate a Stripe Checkout Session

Create a Stripe Checkout Session

1 min readEdit this page
POST
/v1/billing/checkout/sessions

Creates a Stripe Checkout Session to buy credits. Returns the hosted URL the user must visit to complete payment.

Requires the billing:write scope.

Authorization

x-api-key<token>

Anthropic-style API key header.

In: header

Request Body

application/json

Request body. See the endpoint description for shape.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/billing/checkout/sessions" \  -H "Content-Type: application/json" \  -d '{}'
{}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}

How is this guide?